WorldEdit Command Crash Fix 2.0

Fixed //calc combination crash

  1. NatureSLNetwork
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    Source Code:
    http://www.mediafire.com/file/0nec73yerrb53n6/WorldEditCrashFix.rar
    This is the plugin that blocks people from crashing your server with some WorldEdit commands.

    If u want to know how the crash works make sure u send me a PM

    Commands that this plugin blocks.

    - //calc, //calculate, /worldedit:/calc & /worldedit:/calculate
    - //eval, //evaluate, /worldedit:/eval & /worldedit:/evaluate
    - //solve, /worldedit:/solve

    Config reload command - /crashconfigreload or /ccr

    There is an alert when someone tries to use this commands.

    Fully configurable: https://pastebin.com/QeqYHrHA

    upload_2017-7-6_15-17-58.png

    Latest WorldEdit version has this issue fixed, but if u still want to see if someone tries to crash the server make sure u use my plugin :)

    Plugin made by: ItsNature (SecondLife Network Owner)

    Images

    1. abc.png
    2. upload_2017-7-6_15-17-45.png

Recent Updates

  1. 2.0 - Fully Configurable
  2. 1.2 - Fix
  3. Update 1.2

Recent Reviews

  1. E1t1h1a1n
    E1t1h1a1n
    1/5,
    Version: 2.0
    Really bad plugin. easy to bypass it. Either recode it or please just remove it. there are literally skripts that function better then this plugin
  2. darklazerog
    darklazerog
    1/5,
    Version: 2.0
    Not sure why people download this plugin. It's useless! Apart from the fact that it is EASILY bypassable it's also poorly coded. Please take the time to re-do the plugin or at least remove it from spigot. I'm not a hater, I just think that people who need help with those kind of things should get some help that will actually help them solve their issues. Not make them think that it's been solved.
  3. Osqai
    Osqai
    5/5,
    Version: 2.0
    Nice plugin aucun problème de commande ou autre manque un auto update dans la config du plugin
  4. catan77
    catan77
    5/5,
    Version: 2.0
    The truth is that I did not install the plugin, I just needed the list of problematic commands, thank you very much to the author for compiling them
  5. RevengeForce
    RevengeForce
    1/5,
    Version: 2.0
    config is bad can't change command for punish ezprotector is better just add forbidden commands and done
  6. giorgibarsa
    giorgibarsa
    1/5,
    Version: 2.0
    terrible plugin , yes it's working but all my players if try get ban tha t is very badly i cant save config that is bad !!!!!!
  7. PaichYT
    PaichYT
    5/5,
    Version: 2.0
    Useful plugin if u are running older versions of WorldEdit and if you wanna know who is trying to crash your server.
  8. markobolt
    markobolt
    5/5,
    Version: 2.0
    Very good and useful plugin. The dev is very kind and always ready to help. Keep up the good work!
  9. Gustavo_Player
    Gustavo_Player
    5/5,
    Version: 2.0
    Thx. =)
  10. spikejdm
    spikejdm
    5/5,
    Version: 1.2
    Your a god on fix this probelm. My friend told me how to crash the server so I did it on my and crash now sense I have this I am safe gg.